/*
 * Mainwindow for speedFreak project
 *
 * @author      Rikhard Kuutti <rikhard.kuutti@fudeco.com>
 * @copyright   (c) 2010 Speed Freak team
 * @license     http://opensource.org/licenses/gpl-license.php GNU Public License
 */

#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QDesktopServices>
#include <QUrl>
#include <QSettings>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QCoreApplication::setOrganizationName("Fudeco Oy");
    QCoreApplication::setOrganizationDomain("fudeco.com");
    QCoreApplication::setApplicationName("Speed Freak");

    creditsDialog = new CreditsDialog;
    routeSaveDialog = new RouteSaveDialog;
    settingsDialog = new SettingsDialog;

    welcomeDialog = new WelcomeDialog;
    welcomeDialog->show();
}

MainWindow::~MainWindow()
{
    delete ui;

    delete routeSaveDialog;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::on_pushButtonWWW_clicked()
{
    QDesktopServices::openUrl(QUrl("http://garage.maemo.org/projects/speedfreak/"));
}

void MainWindow::on_pushButtonCredits_clicked()
{
    creditsDialog->show();
}

void MainWindow::on_pushButtonRoute_clicked()
{
    routeSaveDialog->show();
}

void MainWindow::on_pushButtonSettings_clicked()
{
    settingsDialog->show();
}
